Debian Bug report logs - #583398
opening files from thunar does not work, wrong path arguement in smplayer.desktop?

version graph

Package: smplayer; Maintainer for smplayer is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for smplayer is src:smplayer.

Reported by: hennr <hennr@hennr.name>

Date: Thu, 27 May 2010 16:48:01 UTC

Severity: important

Tags: confirmed, patch, upstream

Found in versions smplayer/0.6.9-1, smplayer/0.6.9-3

Done: Maia Kozheva <sikon@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Thu, 27 May 2010 16:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to hennr <hennr@hennr.name>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 27 May 2010 16:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: hennr <hennr@hennr.name>
To: submit@bugs.debian.org
Subject: opening files from thunar does not work, wrong path arguement in smplayer.desktop?
Date: Thu, 27 May 2010 18:36:19 +0200
Package: smplayer
Version: 0.6.9-1
Severity: important

The smplayer.desktop file has this entry:

Exec=smplayer %U

which leads to the problem that opening files from thunar (right click
=> open file with) will not work
if there are spaces in the filename.
Changing it back to:

Exec=smplayer %f

fixes the problem.

For more information have a look at this forum thread:
http://forums.gentoo.org/viewtopic-t-827924.html?sid=0d94a2f6d493169934ffe833fbaa545b


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34-0.slh.5-sidux-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=de_DE.uf8, LC_CTYPE=de_DE.uf8 (charmap=UTF-8) (ignored:
LC_ALL set to de_DE.utf8)
Shell: /bin/sh linked to /bin/dash

Versions of packages smplayer depends on:
ii  libc6          2.10.2-9                  Embedded GNU C Library:
Shared lib
ii  libgcc1        1:4.4.4-2                 GCC support library
ii  libqt4-network 4:4.6.2-5                 Qt 4 network module
ii  libqt4-xml     4:4.6.2-5                 Qt 4 XML module
ii  libqtcore4     4:4.6.2-5                 Qt 4 core module
ii  libqtgui4      4:4.6.2-5                 Qt 4 GUI module
ii  libstdc++6     4.4.4-2                   The GNU Standard C++ Library v3
ii  mplayer        2:1.0~rc3+svn20100519-0.0 The Ultimate Movie Player
For Linu
ii  zlib1g         1:1.2.3.4.dfsg-3          compression library - runtime

Versions of packages smplayer recommends:
ii  smplayer-themes            0.1.20+dfsg-1 complete front-end for
MPlayer - i
ii  smplayer-translations      0.6.9-1       complete front-end for
MPlayer - t

smplayer suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Thu, 27 May 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 27 May 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 583398@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: hennr <hennr@hennr.name>
Cc: 583398@bugs.debian.org
Subject: Re: Bug#583398: opening files from thunar does not work, wrong path arguement in smplayer.desktop?
Date: Thu, 27 May 2010 21:01:20 +0200
On Do, Mai 27, 2010 at 18:36:19 (CEST), hennr wrote:
> Exec=smplayer %U
>
> which leads to the problem that opening files from thunar (right click
> => open file with) will not work
> if there are spaces in the filename.
> Changing it back to:
>
> Exec=smplayer %f
>
> fixes the problem.
>
> For more information have a look at this forum thread:
> http://forums.gentoo.org/viewtopic-t-827924.html?sid=0d94a2f6d493169934ffe833fbaa545b

Doesn't this break opening URL that don't start with file:// ?

The same problem exists in vlc as well:

http://trac.videolan.org/vlc/ticket/2131



-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Fri, 28 May 2010 09:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to hennr <hennr@hennr.name>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 28 May 2010 09:24:08 GMT) Full text and rfc822 format available.


Message #15 received at 583398@bugs.debian.org (full text, mbox):

From: hennr <hennr@hennr.name>
To: 583398@bugs.debian.org
Date: Fri, 28 May 2010 11:10:44 +0200
Hmm, sounds like it would.

The vlc.desktop file uses %U in Debian as well and handles the file://
URLs correctly.
The VLC bug report sounds like they have changed the handling of such
strings in VLC.

Maybe we should file a bugreport at the smplayer BTS as I couldn't find
such a bug existing there.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Sun, 30 May 2010 14:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to hennr <hennr@hennr.name>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sun, 30 May 2010 14:33:08 GMT) Full text and rfc822 format available.


Message #20 received at 583398@bugs.debian.org (full text, mbox):

From: hennr <hennr@hennr.name>
To: 583398@bugs.debian.org
Date: Sun, 30 May 2010 16:30:07 +0200
[Message part 1 (text/plain, inline)]
The dev of smplayer says it's fixed in svn r3532

I have no time to test it currently.

Could anyone else verfiy it?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Mon, 14 Jun 2010 20:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to hennr <hennr@hennr.name>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 14 Jun 2010 20:36:10 GMT) Full text and rfc822 format available.


Message #25 received at 583398@bugs.debian.org (full text, mbox):

From: hennr <hennr@hennr.name>
To: 583398@bugs.debian.org
Date: Mon, 14 Jun 2010 22:34:59 +0200
I can confirm that the bug is fixed now, could you please release a new
package of smplayer?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Sat, 31 Jul 2010 16:12:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to hennr <hennr@hennr.name>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 31 Jul 2010 16:12:15 GMT) Full text and rfc822 format available.


Message #30 received at 583398@bugs.debian.org (full text, mbox):

From: hennr <hennr@hennr.name>
To: 583398@bugs.debian.org
Date: Sat, 31 Jul 2010 18:04:44 +0200
Any plans on releasing a new version?

This bug still exists.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Mon, 20 Dec 2010 14:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ibragimov Rinat <ibragimovrinat@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 20 Dec 2010 14:09:06 GMT) Full text and rfc822 format available.

Message #35 received at 583398@bugs.debian.org (full text, mbox):

From: Ibragimov Rinat <ibragimovrinat@mail.ru>
To: 583398@bugs.debian.org
Cc: hennr <hennr@hennr.name>, Reinhard Tartler <siretart@tauware.de>
Subject: Re: Bug#583398: opening files from thunar does not work, wrong path arguement in smplayer.desktop?
Date: Mon, 20 Dec 2010 17:08:13 +0300
> The dev of smplayer says it's fixed in svn r3532
> I have no time to test it currently.
> Could anyone else verfiy it?

I'm facing the same bug, but that r3532 doesn't solve it for me.

--- src/core.cpp (revision 3531)
+++ src/core.cpp (revision 3532)
@@ -21,6 +21,7 @@
 #include <QFileInfo>
 #include <QRegExp>
 #include <QTextStream>
+#include <QUrl>
 
 #include <cmath>
 
@@ -361,6 +362,11 @@
 void Core::open(QString file, int seek) {
  qDebug("Core::open: '%s'", file.toUtf8().data());
 
+ if (file.startsWith("file:")) {
+ file = QUrl(file).toLocalFile();
+ qDebug("Core::open: converting url to local file: %s", file.toUtf8().constData());
+ }
+
  QFileInfo fi(file);
 
  if ( (fi.exists()) && (fi.suffix().toLower()=="iso") ) {

As you can see, author solved that issue by calling toLocalFile. But it does not convert those urlencrypted %20 and others.
It simply removes 'file://' from beginning.

I propose the following patch:

diff -ur smplayer-0.6.9//src/smplayer.cpp smplayer-0.6.9-fix//src/smplayer.cpp
--- smplayer-0.6.9//src/smplayer.cpp 2010-01-21 03:52:42.000000000 +0300
+++ smplayer-0.6.9-fix//src/smplayer.cpp 2010-12-19 20:51:56.119603929 +0300
@@ -30,6 +30,7 @@
 
 #include <QDir>
 #include <QApplication>
+#include <QUrl>
 
 #include <stdio.h>
 
@@ -242,6 +243,13 @@
  }
  else {
  // File
+ QUrl fUrl;
+ QByteArray baUrl;
+ baUrl.append( argument );
+ fUrl.setEncodedUrl( baUrl );
+ if (fUrl.isValid()) {
+ argument = fUrl.toLocalFile();
+ }
  if (QFile::exists( argument )) {
  argument = QFileInfo(argument).absoluteFilePath();
  }

QUrl::setEncodedUrl decodes string and if decoded url still correct, converting to local file name invoked.
I tested it on files with only ASCII characters in names and with russian names (in UTF-8) and it worked.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Tue, 04 Jan 2011 18:06:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ibragimov Rinat <ibragimovrinat@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 04 Jan 2011 18:06:14 GMT) Full text and rfc822 format available.

Message #40 received at 583398@bugs.debian.org (full text, mbox):

From: Ibragimov Rinat <ibragimovrinat@mail.ru>
To: 583398@bugs.debian.org
Subject: Re: Bug#583398: opening files from thunar does not work, wrong path arguement in smplayer.desktop?
Date: Tue, 04 Jan 2011 21:05:12 +0300
I resend patch, my mailer ate spaces from previous attempt.

diff -ur smplayer-0.6.9-orig/src/smplayer.cpp smplayer-0.6.9/src/smplayer.cpp
--- smplayer-0.6.9-orig/src/smplayer.cpp	2010-01-21 03:52:42.000000000 +0300
+++ smplayer-0.6.9/src/smplayer.cpp	2011-01-04 20:34:36.000000000 +0300
@@ -30,6 +30,7 @@
 
 #include <QDir>
 #include <QApplication>
+#include <QUrl>
 
 #include <stdio.h>
 
@@ -242,6 +243,13 @@
 		}
 		else {
 			// File
+			QUrl fUrl;
+			QByteArray baUrl;
+			baUrl.append( argument );
+			fUrl.setEncodedUrl( baUrl );
+			if (fUrl.isValid()) {
+			    argument = fUrl.toLocalFile();
+			}
 			if (QFile::exists( argument )) {
 				argument = QFileInfo(argument).absoluteFilePath();
 			}







Added tag(s) patch. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 05 Jan 2011 08:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Sat, 16 Apr 2011 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maia Kozheva <sikon@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 16 Apr 2011 14:15:03 GMT) Full text and rfc822 format available.

Message #47 received at 583398@bugs.debian.org (full text, mbox):

From: Maia Kozheva <sikon@ubuntu.com>
To: 583398@bugs.debian.org
Subject: Re: opening files from thunar does not work, wrong path arguement in smplayer.desktop?
Date: Sat, 16 Apr 2011 21:11:34 +0700
I could not reproduce this bug with thunar 1.2.1-3ubuntu1 and smplayer 0.6.9-1 
under Ubuntu Natty.

I suspect the bug was fixed in Thunar 1.2.x. I'll test under unstable, which has 
1.0.x. In either case, I think it's a bug in Thunar rather than SMPlayer, and 
doesn't warrant a change from %U to %F (which, as rightly said, can break some 
usages of it).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Sun, 17 Apr 2011 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ibragimov Rinat <ibragimovrinat@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 17 Apr 2011 10:57:06 GMT) Full text and rfc822 format available.

Message #52 received at 583398@bugs.debian.org (full text, mbox):

From: Ibragimov Rinat <ibragimovrinat@mail.ru>
To: 583398@bugs.debian.org, Maia Kozheva <sikon@ubuntu.com>
Subject: Re: opening files from thunar does not work, wrong path arguement in smplayer.desktop?
Date: Sun, 17 Apr 2011 14:49:38 +0400
It's definitely bug in smplayer. But it seems Thunar 1.2 
executes smplayer as if 'smplayer %F' was specified, not 
'smplayer %U'. It can be verified with  'ps aux'. As you
can see there is full path instead of URI.

I just tried to run
'smplayer file:///home/rinat/%D0%92%D0%B8%D0%B4%D0%B5%D0%BE/Twitter%20-%20Murder%20Bittorrent%20Deploy%20System.mp4'
Doesn't work.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Thu, 28 Apr 2011 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maia Kozheva <sikon@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 28 Apr 2011 15:57:06 GMT) Full text and rfc822 format available.

Message #57 received at 583398@bugs.debian.org (full text, mbox):

From: Maia Kozheva <sikon@ubuntu.com>
To: 583398@bugs.debian.org
Subject: Re: opening files from thunar does not work, wrong path arguement in smplayer.desktop?
Date: Thu, 28 Apr 2011 22:55:27 +0700
It seems that the issue here is the handling of urlencoded filenames. When I try 
to play a URL without urlencoded (%xx) characters, it opens, but not with 
urlencoded characters.

smplayer file:///tmp/Inception.avi works;

smplayer file:///home/sikon/%D0%92%D0%B8%D0%B4%D0%B5%D0%BE/156625.avi doesn't.

It's definitely inconsistent behavior; I tested with gnome-mplayer, vlc and 
gwenview, and they do accept such URLs.

I'll test and upload the patch. Thanks for your work!




Added tag(s) confirmed. Request was from Maia Kozheva <sikon@ubuntu.com> to control@bugs.debian.org. (Thu, 28 Apr 2011 16:00:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Maia Kozheva <sikon@ubuntu.com> to control@bugs.debian.org. (Thu, 28 Apr 2011 16:45:12 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Maia Kozheva <sikon@ubuntu.com> to control@bugs.debian.org. (Thu, 28 Apr 2011 16:45:13 GMT) Full text and rfc822 format available.

Reply sent to Maia Kozheva <sikon@ubuntu.com>:
You have taken responsibility. (Thu, 28 Apr 2011 18:21:06 GMT) Full text and rfc822 format available.

Notification sent to hennr <hennr@hennr.name>:
Bug acknowledged by developer. (Thu, 28 Apr 2011 18:21:06 GMT) Full text and rfc822 format available.

Message #68 received at 583398-close@bugs.debian.org (full text, mbox):

From: Maia Kozheva <sikon@ubuntu.com>
To: 583398-close@bugs.debian.org
Subject: Bug#583398: fixed in smplayer 0.6.9-3
Date: Thu, 28 Apr 2011 18:18:05 +0000
Source: smplayer
Source-Version: 0.6.9-3

We believe that the bug you reported is fixed in the latest version of
smplayer, which is due to be installed in the Debian FTP archive:

smplayer-translations_0.6.9-3_all.deb
  to main/s/smplayer/smplayer-translations_0.6.9-3_all.deb
smplayer_0.6.9-3.debian.tar.gz
  to main/s/smplayer/smplayer_0.6.9-3.debian.tar.gz
smplayer_0.6.9-3.dsc
  to main/s/smplayer/smplayer_0.6.9-3.dsc
smplayer_0.6.9-3_i386.deb
  to main/s/smplayer/smplayer_0.6.9-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 583398@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Maia Kozheva <sikon@ubuntu.com> (supplier of updated smplayer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 28 Apr 2011 23:36:22 +0700
Source: smplayer
Binary: smplayer smplayer-translations
Architecture: source i386 all
Version: 0.6.9-3
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Maia Kozheva <sikon@ubuntu.com>
Description: 
 smplayer   - complete front-end for MPlayer
 smplayer-translations - complete front-end for MPlayer - translation files
Closes: 583398
Changes: 
 smplayer (0.6.9-3) unstable; urgency=low
 .
   * Add debian/patches/handle_local_urls.diff. (Closes: #583398)
Checksums-Sha1: 
 5716a4d46dedec9588023e4281435d7349151e53 1658 smplayer_0.6.9-3.dsc
 4f456c392a5dd35a213a16b95165418583a0cfa2 10366 smplayer_0.6.9-3.debian.tar.gz
 e89a63611a9ec191a107dc692be15367f9ee4cae 1301590 smplayer_0.6.9-3_i386.deb
 a28ab44e2c2c370ff2c3d3307d51d51fd102596c 1428636 smplayer-translations_0.6.9-3_all.deb
Checksums-Sha256: 
 f968c0c6138849521a259bf1e7d99ddf23b0ec925829fa569645ae02ec9ac7f5 1658 smplayer_0.6.9-3.dsc
 067c05784ae9f77e432b7e0b68b48cbe60024b681126e8d4cbed6e413ab7b312 10366 smplayer_0.6.9-3.debian.tar.gz
 445b9703cedc76ab9b66194cf5245bc5433ad6c2f7a1638a4187f72a420b8931 1301590 smplayer_0.6.9-3_i386.deb
 6833fe74e170e2878be6dbd6935ee6054c19d0c5540b317d8b904245e94fd989 1428636 smplayer-translations_0.6.9-3_all.deb
Files: 
 88e3d108ff5522fcd28bdd4512701aa2 1658 video optional smplayer_0.6.9-3.dsc
 d51c2e22f413f96d5f4354c7e980b774 10366 video optional smplayer_0.6.9-3.debian.tar.gz
 d5a67aa62da2c760e4ec211d3ddf218e 1301590 video optional smplayer_0.6.9-3_i386.deb
 aa4ec24fa5692fdf6f1cfeb919359d0a 1428636 video optional smplayer-translations_0.6.9-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBAgAGBQJNua4NAAoJEDqDNnQ69yYS7S8IAKwjd96ZmeSxk/P3wnLKJVKy
9yUfp+NvVnIu1M5PUFlTI/fAqZf7qwEPttTp645OrbnV7NLhg4UL5/A5uVmFqbQX
TLzCQPkEqfk5RybhgGf5KrwdMGB6MxcY8bOeW7T2UyxTrryu/4PQ0GG63Wj7iuNK
WvYhS05pWQPaIdORwqPG0AciiEtV2ptgHcCs8H01/6J2786FxNaifW1U4BnoZv41
g3cn8nG5ox/NrvT7FlZ6JASAR9Kiond1Bye6fK/toea1Ex4nWjGFXVAwxE26/6pM
yRlIf4upYN3/xswatMjIEttk0df9PJZJL0usDymKPgfnTKYnFD2u+LViVOSxDtQ=
=0TiE
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#583398; Package smplayer. (Tue, 10 May 2011 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denys Gavrysh <_denys_@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 10 May 2011 15:18:04 GMT) Full text and rfc822 format available.

Message #73 received at 583398@bugs.debian.org (full text, mbox):

From: Denys Gavrysh <_denys_@mail.ru>
To: Debian Bug Tracking System <583398@bugs.debian.org>
Subject: Re: files from thunar does not work, wrong path arguement in smplayer.desktop?
Date: Tue, 10 May 2011 18:00:10 +0300
Package: smplayer
Version: 0.6.9-3
Followup-For: Bug #583398


Bug still exists, but now it seems even worse than in 0.6.9-2.
smplayer can't open any files with UTF-8 characters in path or name.
No matter how I do it, opening file in Thunar or executing 'smplayer file-name-in-utf.avi' gives same result.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages smplayer depends on:
ii  libc6                  2.11.2-11         Embedded GNU C Library: Shared lib
ii  libgcc1                1:4.6.0-2         GCC support library
ii  libqt4-network         4:4.7.3-1         Qt 4 network module
ii  libqt4-xml             4:4.7.3-1         Qt 4 XML module
ii  libqtcore4             4:4.7.3-1         Qt 4 core module
ii  libqtgui4              4:4.7.3-1         Qt 4 GUI module
ii  libstdc++6             4.6.0-2           The GNU Standard C++ Library v3
ii  mplayer                2:1.0~rc4.dfsg1-2 movie player for Unix-like systems
ii  zlib1g                 1:1.2.3.4.dfsg-3  compression library - runtime

Versions of packages smplayer recommends:
ii  smplayer-themes            0.1.20+dfsg-1 complete front-end for MPlayer - i
ii  smplayer-translations      0.6.9-3       complete front-end for MPlayer - t

smplayer suggests no packages.

-- no debconf information




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Jun 2011 07:40:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 06:58:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.